{% load i18n %}

{{ form.non_field_errors }}

{% if form.hidden_fields %}
    <div>
        {% for field in form.hidden_fields %}
            {{ field }}
        {% endfor %}
    </div>
{% endif %}

{% for field in form.visible_fields %}
    <div class="mb-3">
        {{ field.errors }}
        <label for="{{ field.id_for_label }}" class=form-label>{{ field.label }}</label>
        {{ field }}
        {% if field.help_text %}
            <small class="form-text text-muted" aria-description="{% translate "Help text for previous form field" %}">
                {{ field.help_text }}
            </small>
        {% endif %}
        {% if forloop.last %}
            {% for field in form.hidden_fields %}
                {{ field }}
            {% endfor %}
        {% endif %}
    </div>
{% endfor %}

